Page MenuHomePhabricator

Implement "Jenkins/Zuul queue wait" KPI
Closed, ResolvedPublic

Description

Definition: Average time of Jenkins jobs spent in a queued state

Goal: keep this below some reasonable threshold (?) TBD

Purpose: provide expedient CI; we can't always control the time each job takes, but we can ensure there's capacity

See also T70114: Track and graph mean time to merge

Event Timeline

greg created this task.Aug 11 2015, 9:51 PM
greg raised the priority of this task from to Medium.
greg updated the task description. (Show Details)
greg added a project: Release-Engineering-Team.
greg added subscribers: greg, Aklapper, dduvall.
greg moved this task from INBOX to Backlog on the Release-Engineering-Team board.Aug 11 2015, 9:58 PM
greg set Security to None.Aug 11 2015, 11:30 PM
greg added a subscriber: hashar.
hashar renamed this task from Implement "Jenkins queue wait" KPI to Implement "Jenkins/Zuul queue wait" KPI.Aug 25 2015, 4:29 PM
hashar updated the task description. (Show Details)

The metric investigation spam is under sub task T70114

greg moved this task from Backlog to Next on the Release-Engineering-Team board.Sep 24 2015, 1:24 AM
greg assigned this task to hashar.Oct 7 2015, 5:24 PM
greg closed this task as Resolved.Dec 2 2015, 9:05 PM